Bug 1340016 (CVE-2016-1683)

Summary: CVE-2016-1683 chromium-browser: out-of-bounds access in libxslt
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: sisharma, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20160525,reported=20160525,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,rhel-6/chromium-browser=affected,rhel-5/libxslt=wontfix,rhel-6/libxslt=wontfix,rhel-7/libxslt=wontfix,rhes-3.1/libxslt=wontfix,openstack-6/libxslt=wontfix,openstack-7/libxslt=wontfix,openstack-8/libxslt=wontfix,openstack-9/libxslt=wontfix,fedora-all/libxslt=affected,fedora-all/mingw-libxslt=affected,epel-7/mingw-libxslt=affected
Fixed In Version: Chrome 51.0.2704.63 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-24 05:01:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1349707, 1340131, 1340132, 1349705, 1349706    
Bug Blocks: 1340055    

Description Adam Mariš 2016-05-26 10:38:18 UTC
An out-of-bounds access flaw was found in the libxslt component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=583156

External References:

http://googlechromereleases.blogspot.com/2016/05/stable-channel-update_25.html

Comment 2 errata-xmlrpc 2016-06-01 10:52:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2016:1190 https://access.redhat.com/errata/RHSA-2016:1190

Comment 3 Huzaifa S. Sidhpurwala 2016-06-03 04:56:34 UTC
Upstream commit:

https://git.gnome.org/browse/libxslt/commit/?id=d182d8f6ba3071503d96ce17395c9d55871f0242

Comment 4 Huzaifa S. Sidhpurwala 2016-06-24 04:49:44 UTC
Created libxslt tracking bugs for this issue:

Affects: fedora-all [bug 1349705]

Comment 5 Huzaifa S. Sidhpurwala 2016-06-24 05:00:21 UTC
Created mingw-libxslt tracking bugs for this issue:

Affects: fedora-all [bug 1349706]
Affects: epel-7 [bug 1349707]